Bug 2216903 - dnf5 fails to install freeipa-server that dnf installs with no problem
Summary: dnf5 fails to install freeipa-server that dnf installs with no problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf5
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: rpm-software-management
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-06-23 06:06 UTC by Jan Pazdziora
Modified: 2023-07-19 13:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-19 13:30:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jan Pazdziora 2023-06-23 06:06:48 UTC
When I do dnf upgrade before installing freeipa-server, that installation fails.

Reproducible: Always

Steps to Reproduce:
1. podman run --rm -ti registry.fedoraproject.org/fedora:rawhide dnf install -y freeipa-server
2. podman run --rm -ti registry.fedoraproject.org/fedora:rawhide bash -c 'dnf upgrade -y dnf && dnf install -y freeipa-server'
Actual Results:  
$ podman run --rm -ti registry.fedoraproject.org/fedora:rawhide bash -c 'dnf upgrade -y dnf && dnf install -y freeipa-server'
Fedora rawhide openh264 (From Cisco) - x86_64   2.2 kB/s | 2.5 kB     00:01    
Fedora - Rawhide - Developmental packages for t 8.0 MB/s |  71 MB     00:08    
Dependencies resolved.
================================================================================
 Package                  Architecture Version              Repository     Size
================================================================================
Installing:
 dnf5                     x86_64       5.0.14-1.fc39        rawhide       453 k
     replacing  dnf.noarch 4.16.1-2.fc39
     replacing  yum.noarch 4.16.1-2.fc39
Installing dependencies:
 libdnf5-cli              x86_64       5.0.14-1.fc39        rawhide       202 k
 libpkgconf               x86_64       1.9.4-2.fc39         rawhide        38 k
 pkgconf                  x86_64       1.9.4-2.fc39         rawhide        42 k
 pkgconf-m4               noarch       1.9.4-2.fc39         rawhide        14 k
 pkgconf-pkg-config       x86_64       1.9.4-2.fc39         rawhide       9.5 k
Installing weak dependencies:
 bash-completion          noarch       1:2.11-11.fc39       rawhide       367 k

Transaction Summary
================================================================================
Install  7 Packages

Total download size: 1.1 M
Downloading Packages:
(1/7): bash-completion-2.11-11.fc39.noarch.rpm  2.9 MB/s | 367 kB     00:00    
(2/7): libdnf5-cli-5.0.14-1.fc39.x86_64.rpm     1.4 MB/s | 202 kB     00:00    
(3/7): libpkgconf-1.9.4-2.fc39.x86_64.rpm       1.5 MB/s |  38 kB     00:00    
(4/7): pkgconf-1.9.4-2.fc39.x86_64.rpm          1.9 MB/s |  42 kB     00:00    
(5/7): pkgconf-m4-1.9.4-2.fc39.noarch.rpm       835 kB/s |  14 kB     00:00    
(6/7): pkgconf-pkg-config-1.9.4-2.fc39.x86_64.r 628 kB/s | 9.5 kB     00:00    
(7/7): dnf5-5.0.14-1.fc39.x86_64.rpm            2.4 MB/s | 453 kB     00:00    
--------------------------------------------------------------------------------
Total                                           3.0 MB/s | 1.1 MB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Installing       : pkgconf-m4-1.9.4-2.fc39.noarch                         1/9 
  Installing       : libpkgconf-1.9.4-2.fc39.x86_64                         2/9 
  Installing       : pkgconf-1.9.4-2.fc39.x86_64                            3/9 
  Installing       : pkgconf-pkg-config-1.9.4-2.fc39.x86_64                 4/9 
  Installing       : bash-completion-1:2.11-11.fc39.noarch                  5/9 
  Installing       : libdnf5-cli-5.0.14-1.fc39.x86_64                       6/9 
  Installing       : dnf5-5.0.14-1.fc39.x86_64                              7/9 
  Obsoleting       : yum-4.16.1-2.fc39.noarch                               8/9 
  Running scriptlet: dnf-4.16.1-2.fc39.noarch                               9/9 
  Obsoleting       : dnf-4.16.1-2.fc39.noarch                               9/9 
  Running scriptlet: dnf-4.16.1-2.fc39.noarch                               9/9 
  Verifying        : bash-completion-1:2.11-11.fc39.noarch                  1/9 
  Verifying        : dnf5-5.0.14-1.fc39.x86_64                              2/9 
  Verifying        : dnf-4.16.1-2.fc39.noarch                               3/9 
  Verifying        : yum-4.16.1-2.fc39.noarch                               4/9 
  Verifying        : libdnf5-cli-5.0.14-1.fc39.x86_64                       5/9 
  Verifying        : libpkgconf-1.9.4-2.fc39.x86_64                         6/9 
  Verifying        : pkgconf-1.9.4-2.fc39.x86_64                            7/9 
  Verifying        : pkgconf-m4-1.9.4-2.fc39.noarch                         8/9 
  Verifying        : pkgconf-pkg-config-1.9.4-2.fc39.x86_64                 9/9 

Installed:
  bash-completion-1:2.11-11.fc39.noarch      dnf5-5.0.14-1.fc39.x86_64         
  libdnf5-cli-5.0.14-1.fc39.x86_64           libpkgconf-1.9.4-2.fc39.x86_64    
  pkgconf-1.9.4-2.fc39.x86_64                pkgconf-m4-1.9.4-2.fc39.noarch    
  pkgconf-pkg-config-1.9.4-2.fc39.x86_64    

Complete!
Updating and loading repositories:
 Fedora - Rawhide - Developmental packa 100% |   6.3 MiB/s |  21.8 MiB |  00m03s
 Fedora rawhide openh264 (From Cisco) - 100% |   7.4 KiB/s |   6.5 KiB |  00m01s
Repositories loaded.
Failed to resolve the transaction:
Problem: package freeipa-server-4.10.2-1.fc39.x86_64 requires krb5-kdb-version = 9.0, but none of the providers can be installed
  - package freeipa-server-4.10.2-1.fc39.x86_64 requires krb5-server >= 1.20.1-1, but none of the providers can be installed
  - package freeipa-server-4.10.2-1.fc39.x86_64 requires krb5-server >= 1.21, but none of the providers can be installed
  - conflicting requests
  - nothing provides /usr/share/dict/words needed by krb5-server-1.21-1.fc39.x86_64



Expected Results:  
Fedora rawhide openh264 (From Cisco) - x86_64   2.2 kB/s | 2.5 kB     00:01    
Fedora - Rawhide - Developmental packages for t 7.4 MB/s |  71 MB     00:09    
Dependencies resolved.
================================================================================
 Package                          Arch   Version                  Repo     Size
================================================================================
Installing:
 freeipa-server                   x86_64 4.10.2-1.fc39            rawhide 400 k
Installing dependencies:
 389-ds-base                      x86_64 2.4.1-1.fc39             rawhide 3.0 M
 389-ds-base-libs                 x86_64 2.4.1-1.fc39             rawhide 1.5 M
 acl                              x86_64 2.3.1-7.fc39             rawhide  70 k
 alsa-lib                         x86_64 1.2.9-3.fc39             rawhide 518 k
 apache-commons-cli               noarch 1.5.0-5.fc38             rawhide  75 k
 apache-commons-codec             noarch 1.15-8.fc39              rawhide 301 k
 apache-commons-io                noarch 1:2.11.0-3.fc38          rawhide 322 k
 apache-commons-lang3             noarch 3.12.0-8.fc39            rawhide 559 k
 apache-commons-logging           noarch 1.2-32.fc38              rawhide  76 k
 apache-commons-net               noarch 3.8.0-2.fc39             rawhide 295 k
 apr                              x86_64 1.7.3-1.fc39             rawhide 128 k
 apr-util                         x86_64 1.6.3-1.fc38             rawhide  96 k
 augeas-libs                      x86_64 1.13.0-4.fc38            rawhide 446 k
 autofs                           x86_64 1:5.1.8-20.fc39          rawhide 381 k
 avahi-libs                       x86_64 0.8-23.fc39              rawhide  67 k
 bind-libs                        x86_64 32:9.18.15-1.fc39        rawhide 1.3 M
 bind-license                     noarch 32:9.18.15-1.fc39        rawhide  16 k
 bind-utils                       x86_64 32:9.18.15-1.fc39        rawhide 224 k
 c-ares                           x86_64 1.19.1-1.fc39            rawhide 111 k
 certmonger                       x86_64 0.79.18-1.fc39           rawhide 608 k
 checkpolicy                      x86_64 3.5-1.fc39               rawhide 349 k
 chrony                           x86_64 4.4-0.1.pre1.fc39        rawhide 330 k
 copy-jdk-configs                 noarch 4.1-2.fc38               rawhide  28 k
 cpio                             x86_64 2.14-2.fc39              rawhide 279 k
 cracklib-dicts                   x86_64 2.9.7-31.fc38            rawhide 3.6 M
 crypto-policies-scripts          noarch 20230614-1.git5f3458e.fc39
                                                                  rawhide 116 k
 cryptsetup-libs                  x86_64 2.6.1-1.fc39             rawhide 492 k
 cups-libs                        x86_64 1:2.4.4-1.fc39           rawhide 268 k
 cyrus-sasl-gssapi                x86_64 2.1.28-10.fc39           rawhide  26 k
 cyrus-sasl-md5                   x86_64 2.1.28-10.fc39           rawhide  42 k
 cyrus-sasl-plain                 x86_64 2.1.28-10.fc39           rawhide  23 k
 dbus                             x86_64 1:1.14.8-1.fc39          rawhide 8.0 k
 dbus-broker                      x86_64 33-1.fc38                rawhide 173 k
 dbus-common                      noarch 1:1.14.8-1.fc39          rawhide  15 k
 dbus-libs                        x86_64 1:1.14.8-1.fc39          rawhide 156 k
 dbus-tools                       x86_64 1:1.14.8-1.fc39          rawhide  54 k
 device-mapper                    x86_64 1.02.195-1.fc39          rawhide 137 k
 device-mapper-libs               x86_64 1.02.195-1.fc39          rawhide 175 k
 diffutils                        x86_64 3.9-4.fc39               rawhide 397 k
 dogtag-jss                       x86_64 5.4.2-1.fc39             rawhide 1.2 M
 dogtag-ldapjdk                   noarch 5.4.1-1.fc39             rawhide 341 k
 dogtag-pki-acme                  noarch 11.4.3-1.fc39            rawhide 975 k
 dogtag-pki-base                  noarch 11.4.3-1.fc39            rawhide 166 k
 dogtag-pki-ca                    noarch 11.4.3-1.fc39            rawhide 1.7 M
 dogtag-pki-java                  noarch 11.4.3-1.fc39            rawhide 609 k
 dogtag-pki-kra                   noarch 11.4.3-1.fc39            rawhide 298 k
 dogtag-pki-server                noarch 11.4.3-1.fc39            rawhide 2.5 M
 dogtag-pki-tools                 x86_64 11.4.3-1.fc39            rawhide 908 k
 dogtag-tomcatjss                 noarch 8.4.1-1.fc39             rawhide  39 k
 dracut                           x86_64 059-8.fc39               rawhide 428 k
 e2fsprogs-libs                   x86_64 1.47.0-1.fc39            rawhide 226 k
 ecj                              noarch 1:4.23-4.fc38            rawhide 2.4 M
 fedora-logos-httpd               noarch 38.1.0-1.fc39            rawhide  16 k
 file                             x86_64 5.44-3.fc39              rawhide  50 k
 fontawesome4-fonts               noarch 1:4.7.0-17.fc39          rawhide 204 k
 fonts-filesystem                 noarch 1:2.0.5-11.fc38          rawhide 8.1 k
 freeipa-client                   x86_64 4.10.2-1.fc39            rawhide 124 k
 freeipa-client-common            noarch 4.10.2-1.fc39            rawhide  34 k
 freeipa-common                   noarch 4.10.2-1.fc39            rawhide 652 k
 freeipa-healthcheck-core         noarch 0.12-2.fc38              rawhide  70 k
 freeipa-selinux                  noarch 4.10.2-1.fc39            rawhide  28 k
 freeipa-server-common            noarch 4.10.2-1.fc39            rawhide 578 k
 fstrm                            x86_64 0.6.1-6.fc38             rawhide  28 k
 fuse-libs                        x86_64 2.9.9-16.fc38            rawhide  97 k
 gettext-envsubst                 x86_64 0.21.1-3.fc39            rawhide  37 k
 gettext-libs                     x86_64 0.21.1-3.fc39            rawhide 325 k
 gettext-runtime                  x86_64 0.21.1-3.fc39            rawhide 118 k
 glibc-gconv-extra                x86_64 2.37.9000-14.fc39        rawhide 1.6 M
 groff-base                       x86_64 1.22.4-11.fc38           rawhide 1.1 M
 grub2-common                     noarch 1:2.06-95.fc39           rawhide 919 k
 grub2-tools                      x86_64 1:2.06-95.fc39           rawhide 1.8 M
 grub2-tools-minimal              x86_64 1:2.06-95.fc39           rawhide 623 k
 gssproxy                         x86_64 0.9.1-5.fc38             rawhide 113 k
 hostname                         x86_64 3.23-8.fc38              rawhide  27 k
 httpcomponents-client            noarch 4.5.13-6.fc38            rawhide 657 k
 httpcomponents-core              noarch 4.4.13-8.fc38            rawhide 633 k
 httpd                            x86_64 2.4.57-1.fc39            rawhide  51 k
 httpd-core                       x86_64 2.4.57-1.fc39            rawhide 1.4 M
 httpd-filesystem                 noarch 2.4.57-1.fc39            rawhide  13 k
 httpd-tools                      x86_64 2.4.57-1.fc39            rawhide  80 k
 iproute                          x86_64 6.3.0-1.fc39             rawhide 813 k
 jackson-annotations              noarch 2.15.2-1.fc39            rawhide  78 k
 jackson-core                     noarch 2.15.2-1.fc39            rawhide 421 k
 jackson-databind                 noarch 2.15.2-1.fc39            rawhide 1.5 M
 jackson-jaxrs-json-provider      noarch 2.15.2-1.fc39            rawhide  22 k
 jackson-jaxrs-providers          noarch 2.15.2-1.fc39            rawhide  44 k
 jackson-module-jaxb-annotations  noarch 2.15.2-1.fc39            rawhide  47 k
 jakarta-activation               noarch 2.1.1-3.fc38             rawhide  73 k
 jakarta-annotations              noarch 1.3.5-15.fc38            rawhide  45 k
 jansson                          x86_64 2.13.1-6.fc38            rawhide  44 k
 java-17-openjdk-headless         x86_64 1:17.0.7.0.7-5.fc39      rawhide  45 M
 javapackages-filesystem          noarch 6.1.0-8.fc39             rawhide  13 k
 javapackages-tools               noarch 6.1.0-8.fc39             rawhide  37 k
 jaxb-api                         noarch 4.0.0-3.fc39             rawhide 120 k
 jboss-jaxrs-2.0-api              noarch 1.0.0-23.fc38            rawhide 112 k
 jboss-logging                    noarch 3.5.1-1.fc39             rawhide  61 k
 jboss-logging-tools              noarch 2.2.1-11.fc38            rawhide 222 k
 jdeparser                        noarch 2.0.3-13.fc38            rawhide 219 k
 jemalloc                         x86_64 5.3.0-3.fc38             rawhide 232 k
 js-jquery                        noarch 3.6.4-1.fc39             rawhide 172 k
 kbd                              x86_64 2.6.0-1.fc39             rawhide 432 k
 kbd-legacy                       noarch 2.6.0-1.fc39             rawhide 553 k
 kbd-misc                         noarch 2.6.0-1.fc39             rawhide 1.6 M
 keyutils                         x86_64 1.6.1-6.fc38             rawhide  63 k
 kmod                             x86_64 30-5.fc39                rawhide 120 k
 kmod-libs                        x86_64 30-5.fc39                rawhide  68 k
 krb5-pkinit                      x86_64 1.21-1.fc39              rawhide  61 k
 krb5-server                      x86_64 1.21-1.fc39              rawhide 307 k
 krb5-workstation                 x86_64 1.21-1.fc39              rawhide 422 k
 libargon2                        x86_64 20190702-2.fc38          rawhide  28 k
 libbasicobjects                  x86_64 0.1.1-53.fc38            rawhide  26 k
 libbpf                           x86_64 2:1.1.0-2.fc38           rawhide 164 k
 libcbor                          x86_64 0.10.2-1.fc39            rawhide  58 k
 libcollection                    x86_64 0.7.0-53.fc38            rawhide  44 k
 libdb-utils                      x86_64 5.3.28-55.fc38           rawhide 138 k
 libdhash                         x86_64 0.5.0-53.fc38            rawhide  28 k
 libedit                          x86_64 3.1-45.20221030cvs.fc38  rawhide 107 k
 libev                            x86_64 4.33-7.fc38              rawhide  53 k
 libfdisk                         x86_64 2.39-4.fc39              rawhide 162 k
 libicu                           x86_64 72.1-2.fc38              rawhide  10 M
 libini_config                    x86_64 1.3.1-53.fc38            rawhide  66 k
 libipa_hbac                      x86_64 2.9.0-1.fc39             rawhide  31 k
 libjose                          x86_64 11-7.fc38                rawhide  62 k
 libkadm5                         x86_64 1.21-1.fc39              rawhide  78 k
 libkcapi                         x86_64 1.4.0-5.fc38             rawhide  46 k
 libkcapi-hmaccalc                x86_64 1.4.0-5.fc38             rawhide  24 k
 libldb                           x86_64 2.7.2-1.fc39             rawhide 183 k
 libmaxminddb                     x86_64 1.7.1-2.fc38             rawhide  41 k
 libmnl                           x86_64 1.0.5-2.fc38             rawhide  28 k
 libnfsidmap                      x86_64 1:2.6.3-0.fc39           rawhide  61 k
 libnl3                           x86_64 3.7.0-3.fc38             rawhide 345 k
 libpath_utils                    x86_64 0.2.1-53.fc38            rawhide  29 k
 libpkgconf                       x86_64 1.9.4-2.fc39             rawhide  38 k
 libref_array                     x86_64 0.1.5-53.fc38            rawhide  27 k
 libseccomp                       x86_64 2.5.3-4.fc38             rawhide  71 k
 libselinux-utils                 x86_64 3.5-1.fc39               rawhide 160 k
 libss                            x86_64 1.47.0-1.fc39            rawhide  31 k
 libsss_autofs                    x86_64 2.9.0-1.fc39             rawhide  33 k
 libsss_certmap                   x86_64 2.9.0-1.fc39             rawhide  86 k
 libsss_idmap                     x86_64 2.9.0-1.fc39             rawhide  36 k
 libsss_nss_idmap                 x86_64 2.9.0-1.fc39             rawhide  41 k
 libsss_sudo                      x86_64 2.9.0-1.fc39             rawhide  30 k
 libtalloc                        x86_64 2.4.0-2.fc38             rawhide  31 k
 libtdb                           x86_64 1.4.8-1.fc38             rawhide  51 k
 libtevent                        x86_64 0.14.1-1.fc39            rawhide  45 k
 libutempter                      x86_64 1.2.1-9.fc39             rawhide  26 k
 libuv                            x86_64 1:1.44.2-3.fc38          rawhide 152 k
 libverto-libev                   x86_64 0.3.2-5.fc38             rawhide  13 k
 libwbclient                      x86_64 2:4.18.3-1.fc39          rawhide  48 k
 libxslt                          x86_64 1.1.38-1.fc39            rawhide 186 k
 lksctp-tools                     x86_64 1.0.19-3.fc38            rawhide  92 k
 lmdb-libs                        x86_64 0.9.30-1.fc39            rawhide  60 k
 logrotate                        x86_64 3.21.0-3.fc39            rawhide  75 k
 lua                              x86_64 5.4.4-9.fc39             rawhide 190 k
 lua-posix                        x86_64 36.2.1-2.fc39            rawhide 140 k
 mailcap                          noarch 2.1.54-1.fc39            rawhide  34 k
 mod_auth_gssapi                  x86_64 1.6.5-2.fc38             rawhide  73 k
 mod_lookup_identity              x86_64 1.0.0-17.fc38            rawhide  27 k
 mod_session                      x86_64 2.4.57-1.fc39            rawhide  46 k
 mod_ssl                          x86_64 1:2.4.57-1.fc39          rawhide 109 k
 ncurses                          x86_64 6.4-4.20230520.fc39      rawhide 415 k
 nfs-utils                        x86_64 1:2.6.3-0.fc39           rawhide 457 k
 nspr                             x86_64 4.35.0-8.fc39            rawhide 137 k
 nss                              x86_64 3.90.0-2.fc39            rawhide 695 k
 nss-softokn                      x86_64 3.90.0-2.fc39            rawhide 1.0 M
 nss-softokn-freebl               x86_64 3.90.0-2.fc39            rawhide 322 k
 nss-sysinit                      x86_64 3.90.0-2.fc39            rawhide  18 k
 nss-tools                        x86_64 3.90.0-2.fc39            rawhide 541 k
 nss-util                         x86_64 3.90.0-2.fc39            rawhide  86 k
 oddjob                           x86_64 0.34.7-8.fc38            rawhide  69 k
 oddjob-mkhomedir                 x86_64 0.34.7-8.fc38            rawhide  27 k
 open-sans-fonts                  noarch 1.10-18.fc38             rawhide 471 k
 openldap-clients                 x86_64 2.6.4-2.fc39             rawhide 183 k
 openssl                          x86_64 1:3.0.8-2.fc39           rawhide 1.0 M
 openssl-perl                     x86_64 1:3.0.8-2.fc39           rawhide  25 k
 os-prober                        x86_64 1.81-3.fc38              rawhide  50 k
 perl-Algorithm-Diff              noarch 1.2010-8.fc39            rawhide  46 k
 perl-Archive-Tar                 noarch 3.02-1.fc39              rawhide  70 k
 perl-AutoLoader                  noarch 5.74-497.fc39            rawhide  22 k
 perl-B                           x86_64 1.83-497.fc39            rawhide 182 k
 perl-Carp                        noarch 1.54-1.fc39              rawhide  29 k
 perl-Class-Struct                noarch 0.66-497.fc39            rawhide  23 k
 perl-Compress-Raw-Bzip2          x86_64 2.204-2.fc39             rawhide  34 k
 perl-Compress-Raw-Lzma           x86_64 2.204-6.fc39             rawhide  49 k
 perl-Compress-Raw-Zlib           x86_64 2.204-2.fc39             rawhide  64 k
 perl-DB_File                     x86_64 1.858-5.fc38             rawhide  81 k
 perl-Data-Dumper                 x86_64 2.188-1.fc39             rawhide  56 k
 perl-Digest                      noarch 1.20-490.fc38            rawhide  25 k
 perl-Digest-MD5                  x86_64 2.58-490.fc38            rawhide  36 k
 perl-DynaLoader                  x86_64 1.52-497.fc39            rawhide  27 k
 perl-Encode                      x86_64 4:3.19-493.fc38          rawhide 1.7 M
 perl-Errno                       x86_64 1.36-497.fc39            rawhide  16 k
 perl-Exporter                    noarch 5.77-490.fc38            rawhide  31 k
 perl-Fcntl                       x86_64 1.15-497.fc39            rawhide  22 k
 perl-File-Basename               noarch 2.85-497.fc39            rawhide  18 k
 perl-File-Find                   noarch 1.40-497.fc39            rawhide  27 k
 perl-File-Path                   noarch 2.18-490.fc38            rawhide  35 k
 perl-File-Temp                   noarch 1:0.231.100-490.fc38     rawhide  59 k
 perl-File-stat                   noarch 1.12-497.fc39            rawhide  18 k
 perl-FileHandle                  noarch 2.03-497.fc39            rawhide  17 k
 perl-Getopt-Long                 noarch 1:2.54-2.fc38            rawhide  60 k
 perl-Getopt-Std                  noarch 1.13-497.fc39            rawhide  17 k
 perl-HTTP-Tiny                   noarch 0.084-1.fc39             rawhide  55 k
 perl-IO                          x86_64 1.50-497.fc39            rawhide  93 k
 perl-IO-Compress                 noarch 2.204-1.fc39             rawhide 268 k
 perl-IO-Compress-Lzma            noarch 2.204-1.fc39             rawhide  76 k
 perl-IO-Zlib                     noarch 1:1.14-2.fc38            rawhide  20 k
 perl-IPC-Open3                   noarch 1.22-497.fc39            rawhide  24 k
 perl-MIME-Base64                 x86_64 3.16-490.fc38            rawhide  30 k
 perl-Net-SSLeay                  x86_64 1.92-7.fc39              rawhide 360 k
 perl-POSIX                       x86_64 2.03-497.fc39            rawhide  99 k
 perl-PathTools                   x86_64 3.89-1.fc39              rawhide  87 k
 perl-Pod-Escapes                 noarch 1:1.07-490.fc38          rawhide  20 k
 perl-Pod-Perldoc                 noarch 3.28.01-491.fc38         rawhide  86 k
 perl-Pod-Simple                  noarch 1:3.45-2.fc39            rawhide 219 k
 perl-Pod-Usage                   noarch 4:2.03-4.fc38            rawhide  40 k
 perl-Scalar-List-Utils           x86_64 5:1.63-491.fc39          rawhide  72 k
 perl-SelectSaver                 noarch 1.02-497.fc39            rawhide  13 k
 perl-Socket                      x86_64 4:2.037-1.fc39           rawhide  55 k
 perl-Storable                    x86_64 1:3.32-1.fc39            rawhide  98 k
 perl-Symbol                      noarch 1.09-497.fc39            rawhide  15 k
 perl-Term-ANSIColor              noarch 5.01-491.fc38            rawhide  47 k
 perl-Term-Cap                    noarch 1.18-1.fc39              rawhide  22 k
 perl-Term-ReadLine               noarch 1.17-497.fc39            rawhide  20 k
 perl-Text-Diff                   noarch 1.45-18.fc39             rawhide  40 k
 perl-Text-ParseWords             noarch 3.31-490.fc38            rawhide  16 k
 perl-Text-Tabs+Wrap              noarch 2023.0511-1.fc39         rawhide  22 k
 perl-Tie                         noarch 4.6-497.fc39             rawhide  33 k
 perl-Time-Local                  noarch 2:1.350-1.fc39           rawhide  34 k
 perl-URI                         noarch 5.19-1.fc39              rawhide 120 k
 perl-base                        noarch 2.27-497.fc39            rawhide  17 k
 perl-constant                    noarch 1.33-492.fc39            rawhide  23 k
 perl-debugger                    noarch 1.60-497.fc39            rawhide 135 k
 perl-if                          noarch 0.61.000-497.fc39        rawhide  15 k
 perl-interpreter                 x86_64 4:5.36.1-497.fc39        rawhide  73 k
 perl-libnet                      noarch 3.15-1.fc39              rawhide 128 k
 perl-libs                        x86_64 4:5.36.1-497.fc39        rawhide 2.2 M
 perl-locale                      noarch 1.10-497.fc39            rawhide  15 k
 perl-meta-notation               noarch 5.36.1-497.fc39          rawhide  11 k
 perl-mro                         x86_64 1.26-497.fc39            rawhide  30 k
 perl-overload                    noarch 1.35-497.fc39            rawhide  47 k
 perl-overloading                 noarch 0.02-497.fc39            rawhide  14 k
 perl-parent                      noarch 1:0.241-1.fc39           rawhide  14 k
 perl-podlators                   noarch 1:5.01-2.fc38            rawhide 125 k
 perl-sigtrap                     noarch 1.10-497.fc39            rawhide  17 k
 perl-threads                     x86_64 1:2.27-490.fc38          rawhide  57 k
 perl-threads-shared              x86_64 1.68-1.fc39              rawhide  44 k
 perl-vars                        noarch 1.05-497.fc39            rawhide  14 k
 pkgconf                          x86_64 1.9.4-2.fc39             rawhide  42 k
 pkgconf-m4                       noarch 1.9.4-2.fc39             rawhide  14 k
 pkgconf-pkg-config               x86_64 1.9.4-2.fc39             rawhide 9.5 k
 pki-resteasy                     noarch 3.0.26-25.fc39           rawhide  15 k
 pki-resteasy-client              noarch 3.0.26-25.fc39           rawhide 165 k
 pki-resteasy-core                noarch 3.0.26-25.fc39           rawhide 808 k
 pki-resteasy-jackson2-provider   noarch 3.0.26-25.fc39           rawhide  29 k
 pki-resteasy-servlet-initializer noarch 3.0.26-25.fc39           rawhide  22 k
 policycoreutils                  x86_64 3.5-1.fc39               rawhide 241 k
 policycoreutils-python-utils     noarch 3.5-1.fc39               rawhide  80 k
 procps-ng                        x86_64 4.0.3-1.fc39             rawhide 373 k
 protobuf-c                       x86_64 1.4.1-4.fc38             rawhide  39 k
 psmisc                           x86_64 23.6-3.fc39              rawhide 312 k
 publicsuffix-list                noarch 20230614-1.fc39          rawhide  84 k
 python3-argcomplete              noarch 2.0.0-8.fc39             rawhide  78 k
 python3-audit                    x86_64 3.1.1-1.fc39             rawhide  86 k
 python3-augeas                   noarch 1.1.0-8.fc39             rawhide  35 k
 python3-cffi                     x86_64 1.15.1-4.fc38            rawhide 311 k
 python3-charset-normalizer       noarch 3.1.0-1.fc39             rawhide 107 k
 python3-cryptography             x86_64 40.0.2-2.fc39            rawhide 1.2 M
 python3-dateutil                 noarch 1:2.8.2-6.fc39           rawhide 360 k
 python3-dbus                     x86_64 1.3.2-2.fc38             rawhide 157 k
 python3-decorator                noarch 5.1.1-5.fc38             rawhide  31 k
 python3-deprecated               noarch 1.2.14-1.fc39            rawhide  26 k
 python3-distro                   noarch 1.8.0-4.fc39             rawhide  49 k
 python3-dns                      noarch 2.3.0-4.fc39             rawhide 555 k
 python3-dogtag-pki               noarch 11.4.3-1.fc39            rawhide 212 k
 python3-gssapi                   x86_64 1.7.3-4.fc38             rawhide 571 k
 python3-idna                     noarch 3.4-2.fc38               rawhide 110 k
 python3-ipaclient                noarch 4.10.2-1.fc39            rawhide 710 k
 python3-ipalib                   noarch 4.10.2-1.fc39            rawhide 802 k
 python3-ipaserver                noarch 4.10.2-1.fc39            rawhide 1.9 M
 python3-jinja2                   noarch 3.1.2-2.fc39             rawhide 513 k
 python3-jwcrypto                 noarch 1.4.2-3.fc39             rawhide 108 k
 python3-kdcproxy                 noarch 1.0.0-11.fc38            rawhide  47 k
 python3-ldap                     x86_64 3.4.3-2.fc38             rawhide 284 k
 python3-lib389                   noarch 2.4.1-1.fc39             rawhide 1.2 M
 python3-libipa_hbac              x86_64 2.9.0-1.fc39             rawhide  25 k
 python3-libselinux               x86_64 3.5-1.fc39               rawhide 197 k
 python3-libsemanage              x86_64 3.5-2.fc39               rawhide  83 k
 python3-lxml                     x86_64 4.9.2-5.fc39             rawhide 1.3 M
 python3-markupsafe               x86_64 2.1.2-1.fc38             rawhide  30 k
 python3-mod_wsgi                 x86_64 4.9.4-2.fc38             rawhide 1.0 M
 python3-netaddr                  noarch 0.8.0-12.fc39            rawhide 1.6 M
 python3-netifaces                x86_64 0.11.0-5.fc38            rawhide  22 k
 python3-ply                      noarch 3.11-18.fc38             rawhide 139 k
 python3-policycoreutils          noarch 3.5-1.fc39               rawhide 2.2 M
 python3-psutil                   x86_64 5.9.2-2.fc38             rawhide 271 k
 python3-pyasn1                   noarch 0.4.8-12.fc38            rawhide 194 k
 python3-pyasn1-modules           noarch 0.4.8-12.fc38            rawhide 324 k
 python3-pycparser                noarch 2.20-9.fc38              rawhide 156 k
 python3-pypng                    noarch 0.0.21-4.fc38            rawhide  79 k
 python3-pysocks                  noarch 1.7.1-17.fc39            rawhide  40 k
 python3-pyusb                    noarch 1.2.1-4.fc39             rawhide 117 k
 python3-qrcode                   noarch 7.4.2-4.fc39             rawhide 134 k
 python3-requests                 noarch 2.28.2-2.fc39            rawhide 155 k
 python3-setools                  x86_64 4.4.2-1.fc39             rawhide 619 k
 python3-setuptools               noarch 67.7.2-2.fc39            rawhide 1.5 M
 python3-six                      noarch 1.16.0-9.fc38            rawhide  42 k
 python3-sss                      x86_64 2.9.0-1.fc39             rawhide  26 k
 python3-sss-murmur               x86_64 2.9.0-1.fc39             rawhide  14 k
 python3-sssdconfig               noarch 2.9.0-1.fc39             rawhide  73 k
 python3-systemd                  x86_64 235-2.fc38               rawhide 108 k
 python3-typing-extensions        noarch 4.6.3-1.fc39             rawhide  76 k
 python3-urllib3                  noarch 1.26.15-1.fc39           rawhide 253 k
 python3-urllib3+socks            noarch 1.26.15-1.fc39           rawhide  10 k
 python3-wrapt                    x86_64 1.14.1-3.fc39            rawhide  69 k
 python3-yubico                   noarch 1.3.3-11.fc38            rawhide  81 k
 quota                            x86_64 1:4.09-2.fc38            rawhide 194 k
 quota-nls                        noarch 1:4.09-2.fc38            rawhide  77 k
 rpcbind                          x86_64 1.2.6-4.rc2.fc39         rawhide  58 k
 rpm-plugin-selinux               x86_64 4.18.91-1.fc39           rawhide  19 k
 samba-client-libs                x86_64 2:4.18.3-1.fc39          rawhide 5.3 M
 samba-common                     noarch 2:4.18.3-1.fc39          rawhide 153 k
 samba-common-libs                x86_64 2:4.18.3-1.fc39          rawhide 113 k
 selinux-policy                   noarch 38.17-1.fc39             rawhide  62 k
 selinux-policy-targeted          noarch 38.17-1.fc39             rawhide 6.7 M
 slapi-nis                        x86_64 0.60.0-2.fc38            rawhide 151 k
 slf4j                            noarch 1.7.32-5.fc38            rawhide  69 k
 slf4j-jdk14                      noarch 1.7.32-5.fc38            rawhide  17 k
 softhsm                          x86_64 2.6.1-5.fc38.6           rawhide 447 k
 sscg                             x86_64 3.0.5-1.fc39             rawhide  46 k
 sssd-client                      x86_64 2.9.0-1.fc39             rawhide 161 k
 sssd-common                      x86_64 2.9.0-1.fc39             rawhide 1.6 M
 sssd-common-pac                  x86_64 2.9.0-1.fc39             rawhide  90 k
 sssd-dbus                        x86_64 2.9.0-1.fc39             rawhide 128 k
 sssd-idp                         x86_64 2.9.0-1.fc39             rawhide  37 k
 sssd-ipa                         x86_64 2.9.0-1.fc39             rawhide 270 k
 sssd-krb5                        x86_64 2.9.0-1.fc39             rawhide  68 k
 sssd-krb5-common                 x86_64 2.9.0-1.fc39             rawhide  95 k
 sssd-nfs-idmap                   x86_64 2.9.0-1.fc39             rawhide  34 k
 sssd-tools                       x86_64 2.9.0-1.fc39             rawhide 175 k
 systemd                          x86_64 253.5-6.fc39             rawhide 4.5 M
 systemd-pam                      x86_64 253.5-6.fc39             rawhide 344 k
 systemd-udev                     x86_64 253.5-6.fc39             rawhide 2.1 M
 tomcat                           noarch 1:9.0.76-2.fc39          rawhide  96 k
 tomcat-el-3.0-api                noarch 1:9.0.76-2.fc39          rawhide 104 k
 tomcat-jsp-2.3-api               noarch 1:9.0.76-2.fc39          rawhide  64 k
 tomcat-lib                       noarch 1:9.0.76-2.fc39          rawhide 6.4 M
 tomcat-servlet-4.0-api           noarch 1:9.0.76-2.fc39          rawhide 284 k
 tzdata-java                      noarch 2023c-1.fc39             rawhide 208 k
 util-linux                       x86_64 2.39-4.fc39              rawhide 1.2 M
 web-assets-filesystem            noarch 5-19.fc38                rawhide 7.9 k
 which                            x86_64 2.21-39.fc39             rawhide  42 k
 words                            noarch 3.0-43.fc39              rawhide 1.2 M
 xkeyboard-config                 noarch 2.39-1.fc39              rawhide 962 k
 xz                               x86_64 5.4.3-1.fc39             rawhide 555 k
Installing weak dependencies:
 apr-util-bdb                     x86_64 1.6.3-1.fc38             rawhide  13 k
 apr-util-openssl                 x86_64 1.6.3-1.fc38             rawhide  15 k
 bash-completion                  noarch 1:2.11-11.fc39           rawhide 367 k
 grubby                           x86_64 8.40-70.fc39             rawhide  26 k
 julietaula-montserrat-fonts      noarch 1:7.222-4.fc38           rawhide 1.6 M
 kpartx                           x86_64 0.9.5-1.fc39             rawhide  48 k
 libfido2                         x86_64 1.13.0-2.fc39            rawhide  98 k
 libxkbcommon                     x86_64 1.5.0-2.fc38             rawhide 140 k
 memstrack                        x86_64 0.2.5-1.fc38             rawhide  50 k
 mod_http2                        x86_64 2.0.14-1.fc39            rawhide 148 k
 mod_lua                          x86_64 2.4.57-1.fc39            rawhide  59 k
 perl-Devel-Peek                  x86_64 1.32-497.fc39            rawhide  33 k
 perl-IO-Socket-IP                noarch 0.41-493.fc39            rawhide  41 k
 perl-IO-Socket-SSL               noarch 2.083-1.fc39             rawhide 226 k
 perl-Mozilla-CA                  noarch 20221114-2.fc38          rawhide  12 k
 perl-NDBM_File                   x86_64 1.15-497.fc39            rawhide  24 k
 pigz                             x86_64 2.7-3.fc38               rawhide  83 k
 python-systemd-doc               x86_64 235-2.fc38               rawhide 171 k
 qrencode-libs                    x86_64 4.1.1-4.fc38             rawhide  61 k
 systemd-networkd                 x86_64 253.5-6.fc39             rawhide 635 k
 systemd-resolved                 x86_64 253.5-6.fc39             rawhide 290 k
 tomcat-native                    x86_64 1:1.2.36-1.fc39          rawhide  80 k
 tpm2-tools                       x86_64 5.5-3.fc39               rawhide 796 k

Transaction Summary
================================================================================
Install  379 Packages

Total download size: 182 M
Installed size: 647 M
Downloading Packages:

[...]

  xkeyboard-config-2.39-1.fc39.noarch                                           
  xz-5.4.3-1.fc39.x86_64                                                        

Complete!


The expected result comes from the non-upgraded run with the original dnf. I expect dnf5 to be functionally equivalent on such trivial case.

Comment 1 Marek Blaha 2023-06-29 07:00:36 UTC
Hi,

The issue here is that dnf5 does not automatically download filelists metadata to minimize its memory requirements (see for example bug https://bugzilla.redhat.com/show_bug.cgi?id=2214520). Unfortunately, the bottleneck lies in libsolv, and the only way to reduce the amount of required memory is by not downloading unnecessary metadata.

In the long term, we can attempt to resolve this by following a workflow like this: first, try to resolve dependencies; if it fails due to unmet file dependencies, download the filelists and try again.

As an immediate workaround, you can instruct dnf5 to download filelists by following these steps:
# dnf clean metadata
# dnf install --setopt=optional_metadata_types=filelists freeipa-server
(The clean metadata step is necessary to work around another known issue in libsolv - refer to https://github.com/openSUSE/libsolv/pull/531)

I have also submitted a pull request for krb5 to avoid using file dependencies outside of /usr/(s)bin or /etc (according to the Fedora packaging guidelines https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_and_directory_dependencies, users are discouraged to use them) - https://src.fedoraproject.org/rpms/krb5/pull-request/37 .

Comment 2 Jan Pazdziora 2023-06-29 07:47:49 UTC
Thanks Marek for the explanation. I especially like that you provided links to the other issues / work items.

Comment 3 Marek Blaha 2023-06-30 12:44:10 UTC
The krb5 merge request has been merged, so the problem will be resolved shortly. (at least for krb5 component).

Comment 4 Fedora Update System 2023-07-10 07:52:53 UTC
FEDORA-2023-01dcb05415 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-01dcb05415

Comment 5 Fedora Update System 2023-07-10 08:51:39 UTC
FEDORA-2023-f7841e7a29 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f7841e7a29

Comment 6 Fedora Update System 2023-07-11 01:27:37 UTC
FEDORA-2023-f7841e7a29 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Jan Pazdziora 2023-07-12 07:09:46 UTC
The rawhide update https://bodhi.fedoraproject.org/updates/FEDORA-2023-01dcb05415 is stuck in testing, meaning on rawhide, dnf install krb5-server. With dnf5 now being in the rawhide images, even plain

podman run --rm -ti registry.fedoraproject.org/fedora:rawhide dnf install -y freeipa-server

now fails.

Let me reopen this bugzilla so that we can track the issue towards full resolution.

Comment 8 Fedora Update System 2023-07-19 13:30:53 UTC
FEDORA-2023-01dcb05415 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.